---
name: Pull request
about: Create a pull request
label: 'triage me'
---
Thank you for opening a Pull Request!
Before submitting your PR, there are a few things you can do to make sure it goes smoothly:

- [ ] Make sure to open a GitHub issue as a bug/feature request before writing your code! That way
  we can discuss the change, evaluate designs, and agree on the general idea
- [ ] Ensure the tests and linter
  pass (`./gradlew --init-script gradle/init.gradle.kts spotlessApply` to automatically apply
  formatting)
- [ ] Appropriate docs were updated (if necessary)

Is this your first Pull Request?

- [ ] Run `./tools/setup.sh`
- [ ] Import the code formatting style as explained in [the setup script](/tools/setup.sh#L40).

Fixes #<issue_number_goes_here> 🦕
